# WaitlistDestinationRetry

> Retry the failed pushes to a destination. Write access, waitlists toolset, MCP tool retry_waitlist_destination.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `id` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinationRetry","variables":{"id":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"2869d288fe4a0012c273d70036b1b1e1610d4ecf967cb305e20a3a29ab98ffbc"}}}'
```

## Document

```graphql
mutation WaitlistDestinationRetry($id: UUID!) { __typename waitlistDestinationRetry(id: $id) { __typename retried userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-destination-retry
